#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 281
#define LARGE_STATE_COUNT 10
#define SYMBOL_COUNT 84
#define ALIAS_COUNT 0
#define TOKEN_COUNT 52
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 5
#define MAX_ALIAS_SEQUENCE_LENGTH 5
#define PRODUCTION_ID_COUNT 9

enum ts_symbol_identifiers {
  sym_symbol = 1,
  anon_sym_mainmenu = 2,
  anon_sym_config = 3,
  anon_sym_menuconfig = 4,
  anon_sym_choice = 5,
  anon_sym_endchoice = 6,
  anon_sym_comment = 7,
  anon_sym_menu = 8,
  anon_sym_endmenu = 9,
  anon_sym_if = 10,
  anon_sym_endif = 11,
  anon_sym_source = 12,
  anon_sym_EQ = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_PLUS_EQ = 15,
  anon_sym_QMARK_EQ = 16,
  anon_sym_COMMA = 17,
  aux_sym_variable_token1 = 18,
  anon_sym_bool = 19,
  anon_sym_tristate = 20,
  anon_sym_int = 21,
  anon_sym_hex = 22,
  anon_sym_string = 23,
  aux_sym_type_definition_token1 = 24,
  anon_sym_prompt = 25,
  anon_sym_default = 26,
  anon_sym_def_bool = 27,
  anon_sym_def_tristate = 28,
  anon_sym_dependson = 29,
  anon_sym_select = 30,
  anon_sym_imply = 31,
  anon_sym_visibleif = 32,
  anon_sym_range = 33,
  anon_sym_help = 34,
  sym_optional = 35,
  sym_modules = 36,
  anon_sym_BANG = 37,
  anon_sym_PIPE_PIPE = 38,
  anon_sym_AMP_AMP = 39,
  anon_sym_BANG_EQ = 40,
  anon_sym_LT = 41,
  anon_sym_GT = 42,
  anon_sym_LT_EQ = 43,
  anon_sym_GT_EQ = 44,
  anon_sym_LPAREN = 45,
  anon_sym_RPAREN = 46,
  anon_sym_DOLLAR_LPAREN = 47,
  sym_macro_content = 48,
  sym_prompt = 49,
  sym_comment = 50,
  sym__help_text = 51,
  sym_configuration = 52,
  sym_mainmenu = 53,
  sym__entry = 54,
  sym_config = 55,
  sym_menuconfig = 56,
  sym_choice = 57,
  sym_comment_entry = 58,
  sym_menu = 59,
  sym_if = 60,
  sym_source = 61,
  sym_variable = 62,
  sym__config_option = 63,
  sym_type_definition = 64,
  sym_input_prompt = 65,
  sym_default_value = 66,
  sym_type_definition_default = 67,
  sym_dependencies = 68,
  sym_reverse_dependencies = 69,
  sym_weak_reverse_dependencies = 70,
  sym_limiting_menu_display = 71,
  sym_numerical_ranges = 72,
  sym_help_text = 73,
  sym_conditional_clause = 74,
  sym_expression = 75,
  sym_unary_expression = 76,
  sym_binary_expression = 77,
  sym_parenthesized_expression = 78,
  sym_macro_variable = 79,
  aux_sym_configuration_repeat1 = 80,
  aux_sym_config_repeat1 = 81,
  aux_sym_variable_repeat1 = 82,
  aux_sym_macro_variable_repeat1 = 83,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_symbol] = "symbol",
  [anon_sym_mainmenu] = "mainmenu",
  [anon_sym_config] = "config",
  [anon_sym_menuconfig] = "menuconfig",
  [anon_sym_choice] = "choice",
  [anon_sym_endchoice] = "endchoice",
  [anon_sym_comment] = "comment",
  [anon_sym_menu] = "menu",
  [anon_sym_endmenu] = "endmenu",
  [anon_sym_if] = "if",
  [anon_sym_endif] = "endif",
  [anon_sym_source] = "source",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_QMARK_EQ] = "\?=",
  [anon_sym_COMMA] = ",",
  [aux_sym_variable_token1] = "variable_token1",
  [anon_sym_bool] = "bool",
  [anon_sym_tristate] = "tristate",
  [anon_sym_int] = "int",
  [anon_sym_hex] = "hex",
  [anon_sym_string] = "string",
  [aux_sym_type_definition_token1] = "type_definition_token1",
  [anon_sym_prompt] = "prompt",
  [anon_sym_default] = "default",
  [anon_sym_def_bool] = "def_bool",
  [anon_sym_def_tristate] = "def_tristate",
  [anon_sym_dependson] = "depends on",
  [anon_sym_select] = "select",
  [anon_sym_imply] = "imply",
  [anon_sym_visibleif] = "visible if",
  [anon_sym_range] = "range",
  [anon_sym_help] = "help",
  [sym_optional] = "optional",
  [sym_modules] = "modules",
  [anon_sym_BANG] = "!",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [sym_macro_content] = "macro_content",
  [sym_prompt] = "prompt",
  [sym_comment] = "comment",
  [sym__help_text] = "text",
  [sym_configuration] = "configuration",
  [sym_mainmenu] = "mainmenu",
  [sym__entry] = "_entry",
  [sym_config] = "config",
  [sym_menuconfig] = "menuconfig",
  [sym_choice] = "choice",
  [sym_comment_entry] = "comment_entry",
  [sym_menu] = "menu",
  [sym_if] = "if",
  [sym_source] = "source",
  [sym_variable] = "variable",
  [sym__config_option] = "_config_option",
  [sym_type_definition] = "type_definition",
  [sym_input_prompt] = "input_prompt",
  [sym_default_value] = "default_value",
  [sym_type_definition_default] = "type_definition_default",
  [sym_dependencies] = "dependencies",
  [sym_reverse_dependencies] = "reverse_dependencies",
  [sym_weak_reverse_dependencies] = "weak_reverse_dependencies",
  [sym_limiting_menu_display] = "limiting_menu_display",
  [sym_numerical_ranges] = "numerical_ranges",
  [sym_help_text] = "help_text",
  [sym_conditional_clause] = "conditional_clause",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_macro_variable] = "macro_variable",
  [aux_sym_configuration_repeat1] = "configuration_repeat1",
  [aux_sym_config_repeat1] = "config_repeat1",
  [aux_sym_variable_repeat1] = "variable_repeat1",
  [aux_sym_macro_variable_repeat1] = "macro_variable_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_symbol] = sym_symbol,
  [anon_sym_mainmenu] = anon_sym_mainmenu,
  [anon_sym_config] = anon_sym_config,
  [anon_sym_menuconfig] = anon_sym_menuconfig,
  [anon_sym_choice] = anon_sym_choice,
  [anon_sym_endchoice] = anon_sym_endchoice,
  [anon_sym_comment] = anon_sym_comment,
  [anon_sym_menu] = anon_sym_menu,
  [anon_sym_endmenu] = anon_sym_endmenu,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_endif] = anon_sym_endif,
  [anon_sym_source] = anon_sym_source,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_QMARK_EQ] = anon_sym_QMARK_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_variable_token1] = aux_sym_variable_token1,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_tristate] = anon_sym_tristate,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_hex] = anon_sym_hex,
  [anon_sym_string] = anon_sym_string,
  [aux_sym_type_definition_token1] = aux_sym_type_definition_token1,
  [anon_sym_prompt] = anon_sym_prompt,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_def_bool] = anon_sym_def_bool,
  [anon_sym_def_tristate] = anon_sym_def_tristate,
  [anon_sym_dependson] = anon_sym_dependson,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_imply] = anon_sym_imply,
  [anon_sym_visibleif] = anon_sym_visibleif,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_help] = anon_sym_help,
  [sym_optional] = sym_optional,
  [sym_modules] = sym_modules,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [sym_macro_content] = sym_macro_content,
  [sym_prompt] = sym_prompt,
  [sym_comment] = sym_comment,
  [sym__help_text] = sym__help_text,
  [sym_configuration] = sym_configuration,
  [sym_mainmenu] = sym_mainmenu,
  [sym__entry] = sym__entry,
  [sym_config] = sym_config,
  [sym_menuconfig] = sym_menuconfig,
  [sym_choice] = sym_choice,
  [sym_comment_entry] = sym_comment_entry,
  [sym_menu] = sym_menu,
  [sym_if] = sym_if,
  [sym_source] = sym_source,
  [sym_variable] = sym_variable,
  [sym__config_option] = sym__config_option,
  [sym_type_definition] = sym_type_definition,
  [sym_input_prompt] = sym_input_prompt,
  [sym_default_value] = sym_default_value,
  [sym_type_definition_default] = sym_type_definition_default,
  [sym_dependencies] = sym_dependencies,
  [sym_reverse_dependencies] = sym_reverse_dependencies,
  [sym_weak_reverse_dependencies] = sym_weak_reverse_dependencies,
  [sym_limiting_menu_display] = sym_limiting_menu_display,
  [sym_numerical_ranges] = sym_numerical_ranges,
  [sym_help_text] = sym_help_text,
  [sym_conditional_clause] = sym_conditional_clause,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_macro_variable] = sym_macro_variable,
  [aux_sym_configuration_repeat1] = aux_sym_configuration_repeat1,
  [aux_sym_config_repeat1] = aux_sym_config_repeat1,
  [aux_sym_variable_repeat1] = aux_sym_variable_repeat1,
  [aux_sym_macro_variable_repeat1] = aux_sym_macro_variable_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_mainmenu] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_config] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_menuconfig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_choice] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_endchoice] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_menu] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_endmenu] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_endif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_source] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tristate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_definition_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_prompt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def_tristate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dependson] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_imply] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_visibleif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_help] = {
    .visible = true,
    .named = false,
  },
  [sym_optional] = {
    .visible = true,
    .named = true,
  },
  [sym_modules] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_macro_content] = {
    .visible = true,
    .named = true,
  },
  [sym_prompt] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__help_text] = {
    .visible = true,
    .named = true,
  },
  [sym_configuration] = {
    .visible = true,
    .named = true,
  },
  [sym_mainmenu] = {
    .visible = true,
    .named = true,
  },
  [sym__entry] = {
    .visible = false,
    .named = true,
  },
  [sym_config] = {
    .visible = true,
    .named = true,
  },
  [sym_menuconfig] = {
    .visible = true,
    .named = true,
  },
  [sym_choice] = {
    .visible = true,
    .named = true,
  },
  [sym_comment_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_menu] = {
    .visible = true,
    .named = true,
  },
  [sym_if] = {
    .visible = true,
    .named = true,
  },
  [sym_source] = {
    .visible = true,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__config_option] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_input_prompt] = {
    .visible = true,
    .named = true,
  },
  [sym_default_value] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition_default] = {
    .visible = true,
    .named = true,
  },
  [sym_dependencies] = {
    .visible = true,
    .named = true,
  },
  [sym_reverse_dependencies] = {
    .visible = true,
    .named = true,
  },
  [sym_weak_reverse_dependencies] = {
    .visible = true,
    .named = true,
  },
  [sym_limiting_menu_display] = {
    .visible = true,
    .named = true,
  },
  [sym_numerical_ranges] = {
    .visible = true,
    .named = true,
  },
  [sym_help_text] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_variable] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_configuration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_config_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macro_variable_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_condition = 1,
  field_left = 2,
  field_name = 3,
  field_operator = 4,
  field_right = 5,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_condition] = "condition",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_right] = "right",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 3},
  [7] = {.index = 7, .length = 2},
  [8] = {.index = 9, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_condition, 1},
  [2] =
    {field_left, 0},
  [3] =
    {field_right, 0},
  [4] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [7] =
    {field_left, 0},
    {field_right, 2, .inherited = true},
  [9] =
    {field_right, 0, .inherited = true},
    {field_right, 1, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym__help_text,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 3,
  [6] = 6,
  [7] = 7,
  [8] = 7,
  [9] = 6,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 13,
  [16] = 14,
  [17] = 11,
  [18] = 12,
  [19] = 10,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 23,
  [31] = 25,
  [32] = 29,
  [33] = 20,
  [34] = 26,
  [35] = 21,
  [36] = 22,
  [37] = 24,
  [38] = 28,
  [39] = 27,
  [40] = 40,
  [41] = 40,
  [42] = 42,
  [43] = 43,
  [44] = 42,
  [45] = 45,
  [46] = 43,
  [47] = 45,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 65,
  [67] = 55,
  [68] = 49,
  [69] = 58,
  [70] = 61,
  [71] = 52,
  [72] = 50,
  [73] = 51,
  [74] = 53,
  [75] = 54,
  [76] = 56,
  [77] = 57,
  [78] = 48,
  [79] = 59,
  [80] = 64,
  [81] = 60,
  [82] = 62,
  [83] = 63,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 84,
  [88] = 88,
  [89] = 89,
  [90] = 25,
  [91] = 23,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 92,
  [96] = 94,
  [97] = 97,
  [98] = 93,
  [99] = 85,
  [100] = 88,
  [101] = 27,
  [102] = 28,
  [103] = 24,
  [104] = 21,
  [105] = 26,
  [106] = 29,
  [107] = 22,
  [108] = 108,
  [109] = 21,
  [110] = 22,
  [111] = 24,
  [112] = 29,
  [113] = 25,
  [114] = 28,
  [115] = 27,
  [116] = 23,
  [117] = 26,
  [118] = 118,
  [119] = 119,
  [120] = 118,
  [121] = 121,
  [122] = 119,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 130,
  [133] = 131,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 24,
  [142] = 25,
  [143] = 26,
  [144] = 27,
  [145] = 28,
  [146] = 29,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 138,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 137,
  [156] = 21,
  [157] = 152,
  [158] = 153,
  [159] = 154,
  [160] = 152,
  [161] = 161,
  [162] = 152,
  [163] = 153,
  [164] = 154,
  [165] = 137,
  [166] = 161,
  [167] = 149,
  [168] = 22,
  [169] = 23,
  [170] = 152,
  [171] = 153,
  [172] = 154,
  [173] = 137,
  [174] = 137,
  [175] = 149,
  [176] = 149,
  [177] = 149,
  [178] = 148,
  [179] = 139,
  [180] = 140,
  [181] = 147,
  [182] = 154,
  [183] = 138,
  [184] = 138,
  [185] = 138,
  [186] = 153,
  [187] = 127,
  [188] = 188,
  [189] = 136,
  [190] = 126,
  [191] = 134,
  [192] = 192,
  [193] = 135,
  [194] = 125,
  [195] = 195,
  [196] = 123,
  [197] = 197,
  [198] = 124,
  [199] = 128,
  [200] = 129,
  [201] = 195,
  [202] = 197,
  [203] = 197,
  [204] = 197,
  [205] = 197,
  [206] = 206,
  [207] = 207,
  [208] = 206,
  [209] = 207,
  [210] = 206,
  [211] = 211,
  [212] = 211,
  [213] = 211,
  [214] = 211,
  [215] = 206,
  [216] = 211,
  [217] = 206,
  [218] = 211,
  [219] = 206,
  [220] = 220,
  [221] = 221,
  [222] = 23,
  [223] = 221,
  [224] = 224,
  [225] = 25,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 226,
  [230] = 226,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 233,
  [235] = 228,
  [236] = 236,
  [237] = 236,
  [238] = 231,
  [239] = 227,
  [240] = 232,
  [241] = 51,
  [242] = 59,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 249,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 247,
  [258] = 246,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 252,
  [263] = 250,
  [264] = 264,
  [265] = 260,
  [266] = 256,
  [267] = 267,
  [268] = 268,
  [269] = 253,
  [270] = 247,
  [271] = 267,
  [272] = 248,
  [273] = 250,
  [274] = 243,
  [275] = 261,
  [276] = 264,
  [277] = 244,
  [278] = 259,
  [279] = 268,
  [280] = 255,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(36);
      ADVANCE_MAP(
        '!', 46,
        '"', 11,
        '#', 91,
        '$', 14,
        '&', 12,
        '\'', 13,
        '(', 54,
        ')', 55,
        '+', 19,
        ',', 41,
        '-', 27,
        ':', 20,
        '<', 50,
        '=', 37,
        '>', 51,
        '?', 21,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == 'd') ADVANCE(77);
      if (lookahead == 'v') ADVANCE(80);
      if (lookahead == '|') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(3);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 42,
        '\r', 3,
        '!', 46,
        '"', 11,
        '#', 91,
        '$', 14,
        '&', 12,
        '\'', 13,
        '(', 54,
        ',', 41,
        '-', 27,
        '<', 50,
        '=', 37,
        '>', 51,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '|') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(6);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(6);
      if (lookahead == '\r') SKIP(4);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 43,
        '!', 18,
        '"', 11,
        '#', 91,
        '&', 12,
        '\'', 13,
        '-', 27,
        '<', 50,
        '=', 37,
        '>', 51,
      );
      if (lookahead == '\\') SKIP(5);
      if (lookahead == '|') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(43);
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '&') ADVANCE(12);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '\\') SKIP(9);
      if (lookahead == '|') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(7);
      if (lookahead == '\r') SKIP(8);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '#') ADVANCE(62);
      if (lookahead == '$') ADVANCE(15);
      if (lookahead == '\'') ADVANCE(13);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(65);
      if (lookahead != 0) ADVANCE(69);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(72);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 12:
      if (lookahead == '&') ADVANCE(48);
      END_STATE();
    case 13:
      if (lookahead == '\'') ADVANCE(72);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '(') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == '(') ADVANCE(56);
      if (lookahead != 0) ADVANCE(69);
      END_STATE();
    case 16:
      if (lookahead == '(') ADVANCE(17);
      if (lookahead == ')') ADVANCE(69);
      if (lookahead != 0) ADVANCE(66);
      END_STATE();
    case 17:
      if (lookahead == ')') ADVANCE(69);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(49);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(39);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(38);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(40);
      END_STATE();
    case 22:
      if (lookahead == 'f') ADVANCE(45);
      END_STATE();
    case 23:
      if (lookahead == 'i') ADVANCE(22);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 26:
      if (lookahead == '|') ADVANCE(47);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 28:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(11);
      END_STATE();
    case 29:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(13);
      END_STATE();
    case 30:
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(69);
      END_STATE();
    case 31:
      if (eof) ADVANCE(36);
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 32:
      if (eof) ADVANCE(36);
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (eof) ADVANCE(36);
      if (lookahead == '\n') SKIP(35);
      END_STATE();
    case 34:
      if (eof) ADVANCE(36);
      if (lookahead == '\n') SKIP(35);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (eof) ADVANCE(36);
      ADVANCE_MAP(
        '!', 46,
        '"', 11,
        '#', 91,
        '$', 14,
        '&', 12,
        '\'', 13,
        '(', 54,
        ')', 55,
        '-', 27,
        '<', 50,
        '=', 37,
        '>', 51,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == '|') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == '\n') ADVANCE(42);
      if (lookahead == '\r') ADVANCE(3);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(aux_sym_type_definition_token1);
      if (lookahead == '\n') ADVANCE(43);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_dependson);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_visibleif);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(49);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(52);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(53);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(66);
      if (lookahead == '$') ADVANCE(88);
      if (lookahead == '(') ADVANCE(57);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(90);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(66);
      if (lookahead == '$') ADVANCE(59);
      if (lookahead == '(') ADVANCE(57);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(90);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(66);
      if (lookahead == '$') ADVANCE(59);
      if (lookahead == '(') ADVANCE(57);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(65);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '$') ADVANCE(68);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(69);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(65);
      if (lookahead == '$') ADVANCE(30);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(69);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(69);
      if (lookahead == '$') ADVANCE(89);
      if (lookahead == '(') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= ')')) ADVANCE(91);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(69);
      if (lookahead == '$') ADVANCE(64);
      if (lookahead == '(') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= ')')) ADVANCE(91);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '\n') ADVANCE(69);
      if (lookahead == '$') ADVANCE(64);
      if (lookahead == '(') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '#') ADVANCE(62);
      if (lookahead == '$') ADVANCE(15);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(65);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(69);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '$') ADVANCE(16);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(17);
      if (lookahead != 0) ADVANCE(66);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '$') ADVANCE(68);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(69);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '$') ADVANCE(68);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0) ADVANCE(69);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '$') ADVANCE(30);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '$') ADVANCE(71);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(17);
      if (lookahead != 0) ADVANCE(66);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_macro_content);
      if (lookahead == '$') ADVANCE(71);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead != 0) ADVANCE(66);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_prompt);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == ' ') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == ' ') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'b') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'd') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'e') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'e') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'e') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'i') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'i') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'l') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'n') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 'p') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 's') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == 's') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_symbol);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(87);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(66);
      if (lookahead == '(') ADVANCE(90);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(69);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(17);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead != 0) ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(91);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'h') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'm') ADVANCE(8);
      if (lookahead == 'o') ADVANCE(9);
      if (lookahead == 'p') ADVANCE(10);
      if (lookahead == 'r') ADVANCE(11);
      if (lookahead == 's') ADVANCE(12);
      if (lookahead == 't') ADVANCE(13);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(14);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 3:
      if (lookahead == 'h') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'm') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'p') ADVANCE(27);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 17:
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 18:
      if (lookahead == 'f') ADVANCE(38);
      END_STATE();
    case 19:
      if (lookahead == 'd') ADVANCE(39);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(40);
      if (lookahead == 'x') ADVANCE(41);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 24:
      if (lookahead == 'i') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 33:
      if (lookahead == 'i') ADVANCE(53);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(54);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(57);
      END_STATE();
    case 38:
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(61);
      if (lookahead == 'm') ADVANCE(62);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(63);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_hex);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(64);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 45:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(67);
      END_STATE();
    case 47:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(69);
      END_STATE();
    case 49:
      if (lookahead == 'g') ADVANCE(70);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(73);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 55:
      if (lookahead == 'c') ADVANCE(75);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 58:
      if (lookahead == 'b') ADVANCE(78);
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 60:
      if (lookahead == 'h') ADVANCE(81);
      END_STATE();
    case 61:
      if (lookahead == 'f') ADVANCE(82);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_help);
      END_STATE();
    case 64:
      if (lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 65:
      if (lookahead == 'm') ADVANCE(85);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_menu);
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 67:
      if (lookahead == 'l') ADVANCE(87);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 69:
      if (lookahead == 'p') ADVANCE(89);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 71:
      if (lookahead == 'c') ADVANCE(91);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(92);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 77:
      if (lookahead == 'g') ADVANCE(97);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_endif);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_imply);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 89:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(110);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(111);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_choice);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_config);
      END_STATE();
    case 98:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 99:
      if (lookahead == 'i') ADVANCE(114);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 101:
      if (lookahead == 'i') ADVANCE(116);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 104:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 105:
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_prompt);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_source);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_comment);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 114:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_endmenu);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(126);
      END_STATE();
    case 119:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_modules);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_def_bool);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_mainmenu);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(132);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_optional);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_tristate);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_endchoice);
      END_STATE();
    case 132:
      if (lookahead == 'g') ADVANCE(134);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_menuconfig);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_def_tristate);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 35},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 35},
  [66] = {.lex_state = 35},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 0},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 35},
  [85] = {.lex_state = 35},
  [86] = {.lex_state = 35},
  [87] = {.lex_state = 35},
  [88] = {.lex_state = 35},
  [89] = {.lex_state = 35},
  [90] = {.lex_state = 35},
  [91] = {.lex_state = 35},
  [92] = {.lex_state = 35},
  [93] = {.lex_state = 35},
  [94] = {.lex_state = 35},
  [95] = {.lex_state = 35},
  [96] = {.lex_state = 35},
  [97] = {.lex_state = 35},
  [98] = {.lex_state = 35},
  [99] = {.lex_state = 35},
  [100] = {.lex_state = 35},
  [101] = {.lex_state = 35},
  [102] = {.lex_state = 35},
  [103] = {.lex_state = 35},
  [104] = {.lex_state = 35},
  [105] = {.lex_state = 35},
  [106] = {.lex_state = 35},
  [107] = {.lex_state = 35},
  [108] = {.lex_state = 3},
  [109] = {.lex_state = 3},
  [110] = {.lex_state = 3},
  [111] = {.lex_state = 3},
  [112] = {.lex_state = 3},
  [113] = {.lex_state = 3},
  [114] = {.lex_state = 3},
  [115] = {.lex_state = 3},
  [116] = {.lex_state = 3},
  [117] = {.lex_state = 3},
  [118] = {.lex_state = 3},
  [119] = {.lex_state = 3},
  [120] = {.lex_state = 3},
  [121] = {.lex_state = 3},
  [122] = {.lex_state = 3},
  [123] = {.lex_state = 35},
  [124] = {.lex_state = 35},
  [125] = {.lex_state = 35},
  [126] = {.lex_state = 35},
  [127] = {.lex_state = 35},
  [128] = {.lex_state = 35},
  [129] = {.lex_state = 35},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 35},
  [135] = {.lex_state = 35},
  [136] = {.lex_state = 35},
  [137] = {.lex_state = 35},
  [138] = {.lex_state = 35},
  [139] = {.lex_state = 35},
  [140] = {.lex_state = 35},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 35},
  [148] = {.lex_state = 35},
  [149] = {.lex_state = 35},
  [150] = {.lex_state = 35},
  [151] = {.lex_state = 35},
  [152] = {.lex_state = 35},
  [153] = {.lex_state = 35},
  [154] = {.lex_state = 35},
  [155] = {.lex_state = 35},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 35},
  [158] = {.lex_state = 35},
  [159] = {.lex_state = 35},
  [160] = {.lex_state = 35},
  [161] = {.lex_state = 35},
  [162] = {.lex_state = 35},
  [163] = {.lex_state = 35},
  [164] = {.lex_state = 35},
  [165] = {.lex_state = 35},
  [166] = {.lex_state = 35},
  [167] = {.lex_state = 35},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 35},
  [171] = {.lex_state = 35},
  [172] = {.lex_state = 35},
  [173] = {.lex_state = 35},
  [174] = {.lex_state = 35},
  [175] = {.lex_state = 35},
  [176] = {.lex_state = 35},
  [177] = {.lex_state = 35},
  [178] = {.lex_state = 35},
  [179] = {.lex_state = 35},
  [180] = {.lex_state = 35},
  [181] = {.lex_state = 35},
  [182] = {.lex_state = 35},
  [183] = {.lex_state = 35},
  [184] = {.lex_state = 35},
  [185] = {.lex_state = 35},
  [186] = {.lex_state = 35},
  [187] = {.lex_state = 35},
  [188] = {.lex_state = 7},
  [189] = {.lex_state = 35},
  [190] = {.lex_state = 35},
  [191] = {.lex_state = 35},
  [192] = {.lex_state = 35},
  [193] = {.lex_state = 35},
  [194] = {.lex_state = 35},
  [195] = {.lex_state = 7},
  [196] = {.lex_state = 35},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 35},
  [199] = {.lex_state = 35},
  [200] = {.lex_state = 35},
  [201] = {.lex_state = 7},
  [202] = {.lex_state = 0},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 0},
  [205] = {.lex_state = 0},
  [206] = {.lex_state = 10},
  [207] = {.lex_state = 6},
  [208] = {.lex_state = 10},
  [209] = {.lex_state = 6},
  [210] = {.lex_state = 10},
  [211] = {.lex_state = 10},
  [212] = {.lex_state = 10},
  [213] = {.lex_state = 10},
  [214] = {.lex_state = 10},
  [215] = {.lex_state = 10},
  [216] = {.lex_state = 10},
  [217] = {.lex_state = 10},
  [218] = {.lex_state = 10},
  [219] = {.lex_state = 10},
  [220] = {.lex_state = 10},
  [221] = {.lex_state = 0},
  [222] = {.lex_state = 10},
  [223] = {.lex_state = 0},
  [224] = {.lex_state = 10},
  [225] = {.lex_state = 10},
  [226] = {.lex_state = 6},
  [227] = {.lex_state = 6},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 6},
  [230] = {.lex_state = 6},
  [231] = {.lex_state = 6},
  [232] = {.lex_state = 35},
  [233] = {.lex_state = 6},
  [234] = {.lex_state = 6},
  [235] = {.lex_state = 6},
  [236] = {.lex_state = 35},
  [237] = {.lex_state = 35},
  [238] = {.lex_state = 6},
  [239] = {.lex_state = 6},
  [240] = {.lex_state = 35},
  [241] = {.lex_state = 6},
  [242] = {.lex_state = 6},
  [243] = {.lex_state = 35},
  [244] = {.lex_state = 7},
  [245] = {.lex_state = 0},
  [246] = {.lex_state = 35},
  [247] = {.lex_state = 7},
  [248] = {.lex_state = 7},
  [249] = {.lex_state = 0, .external_lex_state = 1},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 0, .external_lex_state = 1},
  [252] = {.lex_state = 7},
  [253] = {.lex_state = 7},
  [254] = {.lex_state = 0},
  [255] = {.lex_state = 35},
  [256] = {.lex_state = 7},
  [257] = {.lex_state = 7},
  [258] = {.lex_state = 35},
  [259] = {.lex_state = 0},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 7},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 7},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 7},
  [267] = {.lex_state = 7},
  [268] = {.lex_state = 35},
  [269] = {.lex_state = 7},
  [270] = {.lex_state = 7},
  [271] = {.lex_state = 7},
  [272] = {.lex_state = 7},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 35},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 7},
  [277] = {.lex_state = 7},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 35},
  [280] = {.lex_state = 35},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_symbol] = ACTIONS(1),
    [anon_sym_mainmenu] = ACTIONS(1),
    [anon_sym_config] = ACTIONS(1),
    [anon_sym_menuconfig] = ACTIONS(1),
    [anon_sym_choice] = ACTIONS(1),
    [anon_sym_endchoice] = ACTIONS(1),
    [anon_sym_comment] = ACTIONS(1),
    [anon_sym_menu] = ACTIONS(1),
    [anon_sym_endmenu] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_endif] = ACTIONS(1),
    [anon_sym_source] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_QMARK_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_tristate] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_hex] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_prompt] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_def_bool] = ACTIONS(1),
    [anon_sym_def_tristate] = ACTIONS(1),
    [anon_sym_dependson] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_imply] = ACTIONS(1),
    [anon_sym_visibleif] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_help] = ACTIONS(1),
    [sym_optional] = ACTIONS(1),
    [sym_modules] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [sym_prompt] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__help_text] = ACTIONS(1),
  },
  [1] = {
    [sym_configuration] = STATE(245),
    [sym_mainmenu] = STATE(89),
    [sym__entry] = STATE(97),
    [sym_config] = STATE(97),
    [sym_menuconfig] = STATE(97),
    [sym_choice] = STATE(97),
    [sym_comment_entry] = STATE(97),
    [sym_menu] = STATE(97),
    [sym_if] = STATE(97),
    [sym_source] = STATE(97),
    [sym_variable] = STATE(97),
    [aux_sym_configuration_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_symbol] = ACTIONS(7),
    [anon_sym_mainmenu] = ACTIONS(9),
    [anon_sym_config] = ACTIONS(11),
    [anon_sym_menuconfig] = ACTIONS(13),
    [anon_sym_choice] = ACTIONS(15),
    [anon_sym_comment] = ACTIONS(17),
    [anon_sym_menu] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_source] = ACTIONS(23),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__entry] = STATE(95),
    [sym_config] = STATE(95),
    [sym_menuconfig] = STATE(95),
    [sym_choice] = STATE(95),
    [sym_comment_entry] = STATE(95),
    [sym_menu] = STATE(95),
    [sym_if] = STATE(95),
    [sym_source] = STATE(95),
    [sym_variable] = STATE(95),
    [sym__config_option] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym_input_prompt] = STATE(3),
    [sym_default_value] = STATE(3),
    [sym_type_definition_default] = STATE(3),
    [sym_dependencies] = STATE(3),
    [sym_reverse_dependencies] = STATE(3),
    [sym_weak_reverse_dependencies] = STATE(3),
    [sym_limiting_menu_display] = STATE(3),
    [sym_numerical_ranges] = STATE(3),
    [sym_help_text] = STATE(3),
    [aux_sym_configuration_repeat1] = STATE(95),
    [aux_sym_config_repeat1] = STATE(3),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_endmenu] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(63),
    [sym_modules] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__entry] = STATE(88),
    [sym_config] = STATE(88),
    [sym_menuconfig] = STATE(88),
    [sym_choice] = STATE(88),
    [sym_comment_entry] = STATE(88),
    [sym_menu] = STATE(88),
    [sym_if] = STATE(88),
    [sym_source] = STATE(88),
    [sym_variable] = STATE(88),
    [sym__config_option] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym_input_prompt] = STATE(12),
    [sym_default_value] = STATE(12),
    [sym_type_definition_default] = STATE(12),
    [sym_dependencies] = STATE(12),
    [sym_reverse_dependencies] = STATE(12),
    [sym_weak_reverse_dependencies] = STATE(12),
    [sym_limiting_menu_display] = STATE(12),
    [sym_numerical_ranges] = STATE(12),
    [sym_help_text] = STATE(12),
    [aux_sym_configuration_repeat1] = STATE(88),
    [aux_sym_config_repeat1] = STATE(12),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_endmenu] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(67),
    [sym_modules] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__entry] = STATE(92),
    [sym_config] = STATE(92),
    [sym_menuconfig] = STATE(92),
    [sym_choice] = STATE(92),
    [sym_comment_entry] = STATE(92),
    [sym_menu] = STATE(92),
    [sym_if] = STATE(92),
    [sym_source] = STATE(92),
    [sym_variable] = STATE(92),
    [sym__config_option] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym_input_prompt] = STATE(5),
    [sym_default_value] = STATE(5),
    [sym_type_definition_default] = STATE(5),
    [sym_dependencies] = STATE(5),
    [sym_reverse_dependencies] = STATE(5),
    [sym_weak_reverse_dependencies] = STATE(5),
    [sym_limiting_menu_display] = STATE(5),
    [sym_numerical_ranges] = STATE(5),
    [sym_help_text] = STATE(5),
    [aux_sym_configuration_repeat1] = STATE(92),
    [aux_sym_config_repeat1] = STATE(5),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_endmenu] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(71),
    [sym_modules] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__entry] = STATE(100),
    [sym_config] = STATE(100),
    [sym_menuconfig] = STATE(100),
    [sym_choice] = STATE(100),
    [sym_comment_entry] = STATE(100),
    [sym_menu] = STATE(100),
    [sym_if] = STATE(100),
    [sym_source] = STATE(100),
    [sym_variable] = STATE(100),
    [sym__config_option] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym_input_prompt] = STATE(12),
    [sym_default_value] = STATE(12),
    [sym_type_definition_default] = STATE(12),
    [sym_dependencies] = STATE(12),
    [sym_reverse_dependencies] = STATE(12),
    [sym_weak_reverse_dependencies] = STATE(12),
    [sym_limiting_menu_display] = STATE(12),
    [sym_numerical_ranges] = STATE(12),
    [sym_help_text] = STATE(12),
    [aux_sym_configuration_repeat1] = STATE(100),
    [aux_sym_config_repeat1] = STATE(12),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_endmenu] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(67),
    [sym_modules] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__entry] = STATE(96),
    [sym_config] = STATE(96),
    [sym_menuconfig] = STATE(96),
    [sym_choice] = STATE(96),
    [sym_comment_entry] = STATE(96),
    [sym_menu] = STATE(96),
    [sym_if] = STATE(96),
    [sym_source] = STATE(96),
    [sym_variable] = STATE(96),
    [sym__config_option] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym_input_prompt] = STATE(12),
    [sym_default_value] = STATE(12),
    [sym_type_definition_default] = STATE(12),
    [sym_dependencies] = STATE(12),
    [sym_reverse_dependencies] = STATE(12),
    [sym_weak_reverse_dependencies] = STATE(12),
    [sym_limiting_menu_display] = STATE(12),
    [sym_numerical_ranges] = STATE(12),
    [sym_help_text] = STATE(12),
    [aux_sym_configuration_repeat1] = STATE(96),
    [aux_sym_config_repeat1] = STATE(12),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(67),
    [sym_modules] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__entry] = STATE(99),
    [sym_config] = STATE(99),
    [sym_menuconfig] = STATE(99),
    [sym_choice] = STATE(99),
    [sym_comment_entry] = STATE(99),
    [sym_menu] = STATE(99),
    [sym_if] = STATE(99),
    [sym_source] = STATE(99),
    [sym_variable] = STATE(99),
    [sym__config_option] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym_input_prompt] = STATE(12),
    [sym_default_value] = STATE(12),
    [sym_type_definition_default] = STATE(12),
    [sym_dependencies] = STATE(12),
    [sym_reverse_dependencies] = STATE(12),
    [sym_weak_reverse_dependencies] = STATE(12),
    [sym_limiting_menu_display] = STATE(12),
    [sym_numerical_ranges] = STATE(12),
    [sym_help_text] = STATE(12),
    [aux_sym_configuration_repeat1] = STATE(99),
    [aux_sym_config_repeat1] = STATE(12),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(67),
    [sym_modules] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__entry] = STATE(85),
    [sym_config] = STATE(85),
    [sym_menuconfig] = STATE(85),
    [sym_choice] = STATE(85),
    [sym_comment_entry] = STATE(85),
    [sym_menu] = STATE(85),
    [sym_if] = STATE(85),
    [sym_source] = STATE(85),
    [sym_variable] = STATE(85),
    [sym__config_option] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym_input_prompt] = STATE(12),
    [sym_default_value] = STATE(12),
    [sym_type_definition_default] = STATE(12),
    [sym_dependencies] = STATE(12),
    [sym_reverse_dependencies] = STATE(12),
    [sym_weak_reverse_dependencies] = STATE(12),
    [sym_limiting_menu_display] = STATE(12),
    [sym_numerical_ranges] = STATE(12),
    [sym_help_text] = STATE(12),
    [aux_sym_configuration_repeat1] = STATE(85),
    [aux_sym_config_repeat1] = STATE(12),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(67),
    [sym_modules] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__entry] = STATE(94),
    [sym_config] = STATE(94),
    [sym_menuconfig] = STATE(94),
    [sym_choice] = STATE(94),
    [sym_comment_entry] = STATE(94),
    [sym_menu] = STATE(94),
    [sym_if] = STATE(94),
    [sym_source] = STATE(94),
    [sym_variable] = STATE(94),
    [sym__config_option] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym_input_prompt] = STATE(12),
    [sym_default_value] = STATE(12),
    [sym_type_definition_default] = STATE(12),
    [sym_dependencies] = STATE(12),
    [sym_reverse_dependencies] = STATE(12),
    [sym_weak_reverse_dependencies] = STATE(12),
    [sym_limiting_menu_display] = STATE(12),
    [sym_numerical_ranges] = STATE(12),
    [sym_help_text] = STATE(12),
    [aux_sym_configuration_repeat1] = STATE(94),
    [aux_sym_config_repeat1] = STATE(12),
    [sym_symbol] = ACTIONS(25),
    [anon_sym_config] = ACTIONS(27),
    [anon_sym_menuconfig] = ACTIONS(29),
    [anon_sym_choice] = ACTIONS(31),
    [anon_sym_comment] = ACTIONS(33),
    [anon_sym_menu] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_source] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(43),
    [anon_sym_tristate] = ACTIONS(43),
    [anon_sym_int] = ACTIONS(43),
    [anon_sym_hex] = ACTIONS(43),
    [anon_sym_string] = ACTIONS(43),
    [anon_sym_prompt] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_def_bool] = ACTIONS(49),
    [anon_sym_def_tristate] = ACTIONS(49),
    [anon_sym_dependson] = ACTIONS(51),
    [anon_sym_select] = ACTIONS(53),
    [anon_sym_imply] = ACTIONS(55),
    [anon_sym_visibleif] = ACTIONS(57),
    [anon_sym_range] = ACTIONS(59),
    [anon_sym_help] = ACTIONS(61),
    [sym_optional] = ACTIONS(67),
    [sym_modules] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_prompt,
    ACTIONS(47), 1,
      anon_sym_default,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(53), 1,
      anon_sym_select,
    ACTIONS(55), 1,
      anon_sym_imply,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(59), 1,
      anon_sym_range,
    ACTIONS(61), 1,
      anon_sym_help,
    ACTIONS(49), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(77), 2,
      sym_optional,
      sym_modules,
    ACTIONS(43), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(75), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
    STATE(14), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [70] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_prompt,
    ACTIONS(47), 1,
      anon_sym_default,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(53), 1,
      anon_sym_select,
    ACTIONS(55), 1,
      anon_sym_imply,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(59), 1,
      anon_sym_range,
    ACTIONS(61), 1,
      anon_sym_help,
    ACTIONS(49), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(67), 2,
      sym_optional,
      sym_modules,
    ACTIONS(43), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(79), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
    STATE(12), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [140] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(86), 1,
      anon_sym_prompt,
    ACTIONS(89), 1,
      anon_sym_default,
    ACTIONS(95), 1,
      anon_sym_dependson,
    ACTIONS(98), 1,
      anon_sym_select,
    ACTIONS(101), 1,
      anon_sym_imply,
    ACTIONS(104), 1,
      anon_sym_visibleif,
    ACTIONS(107), 1,
      anon_sym_range,
    ACTIONS(110), 1,
      anon_sym_help,
    ACTIONS(92), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(113), 2,
      sym_optional,
      sym_modules,
    ACTIONS(83), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(81), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
    STATE(12), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [210] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_prompt,
    ACTIONS(47), 1,
      anon_sym_default,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(53), 1,
      anon_sym_select,
    ACTIONS(55), 1,
      anon_sym_imply,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(59), 1,
      anon_sym_range,
    ACTIONS(61), 1,
      anon_sym_help,
    ACTIONS(49), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(67), 2,
      sym_optional,
      sym_modules,
    ACTIONS(43), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(116), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
    STATE(12), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_prompt,
    ACTIONS(47), 1,
      anon_sym_default,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(53), 1,
      anon_sym_select,
    ACTIONS(55), 1,
      anon_sym_imply,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(59), 1,
      anon_sym_range,
    ACTIONS(61), 1,
      anon_sym_help,
    ACTIONS(49), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(67), 2,
      sym_optional,
      sym_modules,
    ACTIONS(43), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(118), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
    STATE(12), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [350] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(120), 1,
      ts_builtin_sym_end,
    ACTIONS(124), 1,
      anon_sym_prompt,
    ACTIONS(126), 1,
      anon_sym_default,
    ACTIONS(130), 1,
      anon_sym_dependson,
    ACTIONS(132), 1,
      anon_sym_select,
    ACTIONS(134), 1,
      anon_sym_imply,
    ACTIONS(136), 1,
      anon_sym_visibleif,
    ACTIONS(138), 1,
      anon_sym_range,
    ACTIONS(140), 1,
      anon_sym_help,
    ACTIONS(128), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(142), 2,
      sym_optional,
      sym_modules,
    ACTIONS(122), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(116), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
    STATE(18), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [420] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_prompt,
    ACTIONS(126), 1,
      anon_sym_default,
    ACTIONS(130), 1,
      anon_sym_dependson,
    ACTIONS(132), 1,
      anon_sym_select,
    ACTIONS(134), 1,
      anon_sym_imply,
    ACTIONS(136), 1,
      anon_sym_visibleif,
    ACTIONS(138), 1,
      anon_sym_range,
    ACTIONS(140), 1,
      anon_sym_help,
    ACTIONS(144), 1,
      ts_builtin_sym_end,
    ACTIONS(128), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(142), 2,
      sym_optional,
      sym_modules,
    ACTIONS(122), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(118), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
    STATE(18), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_prompt,
    ACTIONS(126), 1,
      anon_sym_default,
    ACTIONS(130), 1,
      anon_sym_dependson,
    ACTIONS(132), 1,
      anon_sym_select,
    ACTIONS(134), 1,
      anon_sym_imply,
    ACTIONS(136), 1,
      anon_sym_visibleif,
    ACTIONS(138), 1,
      anon_sym_range,
    ACTIONS(140), 1,
      anon_sym_help,
    ACTIONS(146), 1,
      ts_builtin_sym_end,
    ACTIONS(128), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(142), 2,
      sym_optional,
      sym_modules,
    ACTIONS(122), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(79), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
    STATE(18), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [560] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(148), 1,
      ts_builtin_sym_end,
    ACTIONS(153), 1,
      anon_sym_prompt,
    ACTIONS(156), 1,
      anon_sym_default,
    ACTIONS(162), 1,
      anon_sym_dependson,
    ACTIONS(165), 1,
      anon_sym_select,
    ACTIONS(168), 1,
      anon_sym_imply,
    ACTIONS(171), 1,
      anon_sym_visibleif,
    ACTIONS(174), 1,
      anon_sym_range,
    ACTIONS(177), 1,
      anon_sym_help,
    ACTIONS(159), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(180), 2,
      sym_optional,
      sym_modules,
    ACTIONS(150), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(81), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
    STATE(18), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [630] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(124), 1,
      anon_sym_prompt,
    ACTIONS(126), 1,
      anon_sym_default,
    ACTIONS(130), 1,
      anon_sym_dependson,
    ACTIONS(132), 1,
      anon_sym_select,
    ACTIONS(134), 1,
      anon_sym_imply,
    ACTIONS(136), 1,
      anon_sym_visibleif,
    ACTIONS(138), 1,
      anon_sym_range,
    ACTIONS(140), 1,
      anon_sym_help,
    ACTIONS(183), 1,
      ts_builtin_sym_end,
    ACTIONS(128), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(185), 2,
      sym_optional,
      sym_modules,
    ACTIONS(122), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    ACTIONS(75), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
    STATE(16), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_EQ,
    ACTIONS(193), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(195), 1,
      anon_sym_AMP_AMP,
    ACTIONS(191), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(199), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(197), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(187), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 8,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(201), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 8,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(205), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 8,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(209), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 8,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(213), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 8,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(217), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 8,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_EQ,
    ACTIONS(195), 1,
      anon_sym_AMP_AMP,
    ACTIONS(199), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(197), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(223), 3,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
    ACTIONS(221), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [1070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_EQ,
    ACTIONS(199), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(197), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(223), 4,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [1120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_EQ,
    ACTIONS(223), 7,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 28,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 9,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(209), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 9,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(217), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_EQ,
    ACTIONS(223), 8,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1294] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_EQ,
    ACTIONS(227), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(233), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(191), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(231), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(187), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [1346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 9,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 9,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(201), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 9,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(205), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 9,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(213), 25,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [1514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_EQ,
    ACTIONS(233), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(231), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(223), 5,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [1562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_AMP_AMP,
    ACTIONS(233), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(231), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(223), 4,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
      anon_sym_PIPE_PIPE,
    ACTIONS(221), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [1612] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_prompt,
    ACTIONS(47), 1,
      anon_sym_default,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(53), 1,
      anon_sym_select,
    ACTIONS(55), 1,
      anon_sym_imply,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(59), 1,
      anon_sym_range,
    ACTIONS(61), 1,
      anon_sym_help,
    ACTIONS(235), 1,
      sym_symbol,
    ACTIONS(49), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(237), 2,
      sym_optional,
      sym_modules,
    ACTIONS(43), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(9), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [1672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_prompt,
    ACTIONS(47), 1,
      anon_sym_default,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(53), 1,
      anon_sym_select,
    ACTIONS(55), 1,
      anon_sym_imply,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(59), 1,
      anon_sym_range,
    ACTIONS(61), 1,
      anon_sym_help,
    ACTIONS(239), 1,
      sym_symbol,
    ACTIONS(49), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(241), 2,
      sym_optional,
      sym_modules,
    ACTIONS(43), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(6), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [1732] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(245), 1,
      anon_sym_prompt,
    ACTIONS(247), 1,
      anon_sym_default,
    ACTIONS(251), 1,
      anon_sym_select,
    ACTIONS(253), 1,
      anon_sym_imply,
    ACTIONS(255), 1,
      anon_sym_range,
    ACTIONS(257), 1,
      anon_sym_help,
    ACTIONS(249), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(259), 2,
      sym_optional,
      sym_modules,
    ACTIONS(243), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(8), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [1789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(130), 1,
      anon_sym_dependson,
    ACTIONS(136), 1,
      anon_sym_visibleif,
    ACTIONS(263), 1,
      anon_sym_prompt,
    ACTIONS(265), 1,
      anon_sym_default,
    ACTIONS(269), 1,
      anon_sym_select,
    ACTIONS(271), 1,
      anon_sym_imply,
    ACTIONS(273), 1,
      anon_sym_range,
    ACTIONS(275), 1,
      anon_sym_help,
    ACTIONS(267), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(277), 2,
      sym_optional,
      sym_modules,
    ACTIONS(261), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(15), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [1846] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(245), 1,
      anon_sym_prompt,
    ACTIONS(247), 1,
      anon_sym_default,
    ACTIONS(251), 1,
      anon_sym_select,
    ACTIONS(253), 1,
      anon_sym_imply,
    ACTIONS(255), 1,
      anon_sym_range,
    ACTIONS(257), 1,
      anon_sym_help,
    ACTIONS(249), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(279), 2,
      sym_optional,
      sym_modules,
    ACTIONS(243), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(7), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [1903] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(245), 1,
      anon_sym_prompt,
    ACTIONS(247), 1,
      anon_sym_default,
    ACTIONS(251), 1,
      anon_sym_select,
    ACTIONS(253), 1,
      anon_sym_imply,
    ACTIONS(255), 1,
      anon_sym_range,
    ACTIONS(257), 1,
      anon_sym_help,
    ACTIONS(249), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(281), 2,
      sym_optional,
      sym_modules,
    ACTIONS(243), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(11), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [1960] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_dependson,
    ACTIONS(57), 1,
      anon_sym_visibleif,
    ACTIONS(245), 1,
      anon_sym_prompt,
    ACTIONS(247), 1,
      anon_sym_default,
    ACTIONS(251), 1,
      anon_sym_select,
    ACTIONS(253), 1,
      anon_sym_imply,
    ACTIONS(255), 1,
      anon_sym_range,
    ACTIONS(257), 1,
      anon_sym_help,
    ACTIONS(249), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(283), 2,
      sym_optional,
      sym_modules,
    ACTIONS(243), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(13), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [2017] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(130), 1,
      anon_sym_dependson,
    ACTIONS(136), 1,
      anon_sym_visibleif,
    ACTIONS(263), 1,
      anon_sym_prompt,
    ACTIONS(265), 1,
      anon_sym_default,
    ACTIONS(269), 1,
      anon_sym_select,
    ACTIONS(271), 1,
      anon_sym_imply,
    ACTIONS(273), 1,
      anon_sym_range,
    ACTIONS(275), 1,
      anon_sym_help,
    ACTIONS(267), 2,
      anon_sym_def_bool,
      anon_sym_def_tristate,
    ACTIONS(285), 2,
      sym_optional,
      sym_modules,
    ACTIONS(261), 5,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
    STATE(17), 12,
      sym__config_option,
      sym_type_definition,
      sym_input_prompt,
      sym_default_value,
      sym_type_definition_default,
      sym_dependencies,
      sym_reverse_dependencies,
      sym_weak_reverse_dependencies,
      sym_limiting_menu_display,
      sym_numerical_ranges,
      sym_help_text,
      aux_sym_config_repeat1,
  [2074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(287), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(291), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(295), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(299), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(303), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(307), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(311), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(317), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(315), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(319), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(325), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(323), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(327), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(333), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(331), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(337), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(335), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(339), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(343), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(347), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 2,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(351), 26,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(355), 1,
      anon_sym_endif,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(93), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [2747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(367), 1,
      anon_sym_endif,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(98), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [2808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(317), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(315), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(291), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(327), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(339), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(303), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [2978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(297), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(295), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(299), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(307), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(313), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(311), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(319), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(325), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(323), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(287), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(333), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(331), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(351), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(337), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(335), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(343), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 3,
      ts_builtin_sym_end,
      anon_sym_dependson,
      anon_sym_visibleif,
    ACTIONS(347), 23,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      anon_sym_bool,
      anon_sym_tristate,
      anon_sym_int,
      anon_sym_hex,
      anon_sym_string,
      anon_sym_prompt,
      anon_sym_default,
      anon_sym_def_bool,
      anon_sym_def_tristate,
      anon_sym_select,
      anon_sym_imply,
      anon_sym_range,
      anon_sym_help,
      sym_optional,
      sym_modules,
      sym_symbol,
  [3386] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      sym_symbol,
    ACTIONS(372), 1,
      anon_sym_config,
    ACTIONS(375), 1,
      anon_sym_menuconfig,
    ACTIONS(378), 1,
      anon_sym_choice,
    ACTIONS(383), 1,
      anon_sym_comment,
    ACTIONS(386), 1,
      anon_sym_menu,
    ACTIONS(389), 1,
      anon_sym_if,
    ACTIONS(392), 1,
      anon_sym_source,
    ACTIONS(381), 3,
      anon_sym_endchoice,
      anon_sym_endmenu,
      anon_sym_endif,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3431] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(395), 1,
      anon_sym_endchoice,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3474] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_symbol,
    ACTIONS(11), 1,
      anon_sym_config,
    ACTIONS(13), 1,
      anon_sym_menuconfig,
    ACTIONS(15), 1,
      anon_sym_choice,
    ACTIONS(17), 1,
      anon_sym_comment,
    ACTIONS(19), 1,
      anon_sym_menu,
    ACTIONS(21), 1,
      anon_sym_if,
    ACTIONS(23), 1,
      anon_sym_source,
    ACTIONS(397), 1,
      ts_builtin_sym_end,
    STATE(87), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3517] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 1,
      ts_builtin_sym_end,
    ACTIONS(401), 1,
      sym_symbol,
    ACTIONS(404), 1,
      anon_sym_config,
    ACTIONS(407), 1,
      anon_sym_menuconfig,
    ACTIONS(410), 1,
      anon_sym_choice,
    ACTIONS(413), 1,
      anon_sym_comment,
    ACTIONS(416), 1,
      anon_sym_menu,
    ACTIONS(419), 1,
      anon_sym_if,
    ACTIONS(422), 1,
      anon_sym_source,
    STATE(87), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3560] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(425), 1,
      anon_sym_endmenu,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3603] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_symbol,
    ACTIONS(11), 1,
      anon_sym_config,
    ACTIONS(13), 1,
      anon_sym_menuconfig,
    ACTIONS(15), 1,
      anon_sym_choice,
    ACTIONS(17), 1,
      anon_sym_comment,
    ACTIONS(19), 1,
      anon_sym_menu,
    ACTIONS(21), 1,
      anon_sym_if,
    ACTIONS(23), 1,
      anon_sym_source,
    ACTIONS(427), 1,
      ts_builtin_sym_end,
    STATE(86), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 8,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(217), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [3673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 8,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [3700] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(73), 1,
      anon_sym_endmenu,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3743] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(429), 1,
      anon_sym_endif,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3786] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(431), 1,
      anon_sym_endchoice,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3829] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(65), 1,
      anon_sym_endmenu,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3872] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(433), 1,
      anon_sym_endchoice,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3915] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_symbol,
    ACTIONS(11), 1,
      anon_sym_config,
    ACTIONS(13), 1,
      anon_sym_menuconfig,
    ACTIONS(15), 1,
      anon_sym_choice,
    ACTIONS(17), 1,
      anon_sym_comment,
    ACTIONS(19), 1,
      anon_sym_menu,
    ACTIONS(21), 1,
      anon_sym_if,
    ACTIONS(23), 1,
      anon_sym_source,
    ACTIONS(427), 1,
      ts_builtin_sym_end,
    STATE(87), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [3958] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(435), 1,
      anon_sym_endif,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [4001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(437), 1,
      anon_sym_endchoice,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [4044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(25), 1,
      sym_symbol,
    ACTIONS(27), 1,
      anon_sym_config,
    ACTIONS(29), 1,
      anon_sym_menuconfig,
    ACTIONS(31), 1,
      anon_sym_choice,
    ACTIONS(33), 1,
      anon_sym_comment,
    ACTIONS(35), 1,
      anon_sym_menu,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_source,
    ACTIONS(439), 1,
      anon_sym_endmenu,
    STATE(84), 10,
      sym__entry,
      sym_config,
      sym_menuconfig,
      sym_choice,
      sym_comment_entry,
      sym_menu,
      sym_if,
      sym_source,
      sym_variable,
      aux_sym_configuration_repeat1,
  [4087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 9,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(223), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 9,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 7,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
    ACTIONS(213), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [4179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 7,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
    ACTIONS(201), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [4205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 7,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
    ACTIONS(221), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [4231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(223), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
    ACTIONS(221), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [4259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 7,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
    ACTIONS(205), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      anon_sym_LT,
      anon_sym_GT,
      sym_symbol,
  [4285] = 7,
    ACTIONS(443), 1,
      anon_sym_EQ,
    ACTIONS(445), 1,
      aux_sym_variable_token1,
    ACTIONS(447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(451), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(441), 6,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4316] = 3,
    ACTIONS(203), 1,
      aux_sym_variable_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(201), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4339] = 3,
    ACTIONS(207), 1,
      aux_sym_variable_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(205), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4362] = 3,
    ACTIONS(215), 1,
      aux_sym_variable_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(213), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4385] = 4,
    ACTIONS(223), 1,
      aux_sym_variable_token1,
    ACTIONS(443), 1,
      anon_sym_EQ,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(221), 13,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4410] = 3,
    ACTIONS(219), 1,
      aux_sym_variable_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(217), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4433] = 5,
    ACTIONS(223), 1,
      aux_sym_variable_token1,
    ACTIONS(443), 1,
      anon_sym_EQ,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(451), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 8,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4460] = 6,
    ACTIONS(223), 1,
      aux_sym_variable_token1,
    ACTIONS(443), 1,
      anon_sym_EQ,
    ACTIONS(449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(451), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(221), 7,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4489] = 3,
    ACTIONS(211), 1,
      aux_sym_variable_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(209), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4512] = 3,
    ACTIONS(223), 1,
      aux_sym_variable_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(221), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_prompt,
      sym_symbol,
  [4535] = 10,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(457), 1,
      anon_sym_COMMA,
    ACTIONS(459), 1,
      aux_sym_variable_token1,
    ACTIONS(461), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(108), 1,
      sym_expression,
    STATE(122), 1,
      aux_sym_variable_repeat1,
    ACTIONS(455), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [4570] = 10,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(461), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      anon_sym_COMMA,
    ACTIONS(469), 1,
      aux_sym_variable_token1,
    STATE(108), 1,
      sym_expression,
    STATE(121), 1,
      aux_sym_variable_repeat1,
    ACTIONS(455), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [4605] = 10,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(461), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(471), 1,
      anon_sym_COMMA,
    ACTIONS(473), 1,
      aux_sym_variable_token1,
    STATE(108), 1,
      sym_expression,
    STATE(119), 1,
      aux_sym_variable_repeat1,
    ACTIONS(455), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [4640] = 10,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_COMMA,
    ACTIONS(481), 1,
      aux_sym_variable_token1,
    ACTIONS(483), 1,
      anon_sym_BANG,
    ACTIONS(486), 1,
      anon_sym_LPAREN,
    ACTIONS(489), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(108), 1,
      sym_expression,
    STATE(121), 1,
      aux_sym_variable_repeat1,
    ACTIONS(475), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [4675] = 10,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(461), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(465), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      anon_sym_COMMA,
    ACTIONS(492), 1,
      aux_sym_variable_token1,
    STATE(108), 1,
      sym_expression,
    STATE(121), 1,
      aux_sym_variable_repeat1,
    ACTIONS(455), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [4710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4829] = 8,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(512), 1,
      aux_sym_type_definition_token1,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    STATE(252), 1,
      sym_conditional_clause,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4858] = 8,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(520), 1,
      aux_sym_type_definition_token1,
    STATE(276), 1,
      sym_conditional_clause,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4887] = 8,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(522), 1,
      aux_sym_type_definition_token1,
    STATE(262), 1,
      sym_conditional_clause,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4916] = 8,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(524), 1,
      aux_sym_type_definition_token1,
    STATE(264), 1,
      sym_conditional_clause,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(526), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 11,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_endchoice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_endmenu,
      anon_sym_if,
      anon_sym_endif,
      anon_sym_source,
      sym_symbol,
  [4996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_BANG,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(538), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(112), 1,
      sym_expression,
    ACTIONS(532), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(204), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(130), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(131), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5100] = 3,
    ACTIONS(215), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(213), 9,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5118] = 3,
    ACTIONS(219), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(217), 9,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5136] = 3,
    ACTIONS(223), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(221), 9,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5154] = 6,
    ACTIONS(223), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(221), 2,
      anon_sym_if,
      anon_sym_PIPE_PIPE,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5178] = 5,
    ACTIONS(223), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(221), 3,
      anon_sym_if,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5200] = 4,
    ACTIONS(223), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(221), 8,
      anon_sym_if,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(201), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(65), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(107), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(205), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5324] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(188), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_BANG,
    ACTIONS(560), 1,
      anon_sym_LPAREN,
    ACTIONS(562), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(26), 1,
      sym_expression,
    ACTIONS(556), 2,
      sym_prompt,
      sym_symbol,
    STATE(21), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_BANG,
    ACTIONS(560), 1,
      anon_sym_LPAREN,
    ACTIONS(562), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(27), 1,
      sym_expression,
    ACTIONS(556), 2,
      sym_prompt,
      sym_symbol,
    STATE(21), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5402] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_BANG,
    ACTIONS(560), 1,
      anon_sym_LPAREN,
    ACTIONS(562), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(28), 1,
      sym_expression,
    ACTIONS(556), 2,
      sym_prompt,
      sym_symbol,
    STATE(21), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_BANG,
    ACTIONS(560), 1,
      anon_sym_LPAREN,
    ACTIONS(562), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(29), 1,
      sym_expression,
    ACTIONS(556), 2,
      sym_prompt,
      sym_symbol,
    STATE(21), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5454] = 3,
    ACTIONS(203), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(201), 9,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_BANG,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(538), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(117), 1,
      sym_expression,
    ACTIONS(532), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_BANG,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(538), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(115), 1,
      sym_expression,
    ACTIONS(532), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_BANG,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(538), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(114), 1,
      sym_expression,
    ACTIONS(532), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(105), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_BANG,
    ACTIONS(560), 1,
      anon_sym_LPAREN,
    ACTIONS(562), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(20), 1,
      sym_expression,
    ACTIONS(556), 2,
      sym_prompt,
      sym_symbol,
    STATE(21), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_BANG,
    ACTIONS(568), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(34), 1,
      sym_expression,
    ACTIONS(564), 2,
      sym_prompt,
      sym_symbol,
    STATE(35), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_BANG,
    ACTIONS(568), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(39), 1,
      sym_expression,
    ACTIONS(564), 2,
      sym_prompt,
      sym_symbol,
    STATE(35), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_BANG,
    ACTIONS(568), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(38), 1,
      sym_expression,
    ACTIONS(564), 2,
      sym_prompt,
      sym_symbol,
    STATE(35), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_BANG,
    ACTIONS(568), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(32), 1,
      sym_expression,
    ACTIONS(564), 2,
      sym_prompt,
      sym_symbol,
    STATE(35), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_BANG,
    ACTIONS(568), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(33), 1,
      sym_expression,
    ACTIONS(564), 2,
      sym_prompt,
      sym_symbol,
    STATE(35), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(168), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5758] = 3,
    ACTIONS(207), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(205), 9,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5776] = 3,
    ACTIONS(211), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(209), 9,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5794] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(143), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(144), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5846] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(145), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(146), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(106), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_BANG,
    ACTIONS(560), 1,
      anon_sym_LPAREN,
    ACTIONS(562), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(22), 1,
      sym_expression,
    ACTIONS(556), 2,
      sym_prompt,
      sym_symbol,
    STATE(21), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5950] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_BANG,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(538), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(110), 1,
      sym_expression,
    ACTIONS(532), 2,
      sym_prompt,
      sym_symbol,
    STATE(109), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [5976] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_BANG,
    ACTIONS(568), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(36), 1,
      sym_expression,
    ACTIONS(564), 2,
      sym_prompt,
      sym_symbol,
    STATE(35), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(66), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(132), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(133), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6080] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_BANG,
    ACTIONS(552), 1,
      anon_sym_LPAREN,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(195), 1,
      sym_expression,
    ACTIONS(548), 2,
      sym_prompt,
      sym_symbol,
    STATE(156), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(102), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6132] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(197), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(202), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(203), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_BANG,
    ACTIONS(544), 1,
      anon_sym_LPAREN,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(101), 1,
      sym_expression,
    ACTIONS(540), 2,
      sym_prompt,
      sym_symbol,
    STATE(104), 4,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_macro_variable,
  [6236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      ts_builtin_sym_end,
    ACTIONS(502), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6253] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(574), 1,
      aux_sym_type_definition_token1,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      ts_builtin_sym_end,
    ACTIONS(530), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 1,
      ts_builtin_sym_end,
    ACTIONS(500), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      ts_builtin_sym_end,
    ACTIONS(526), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 1,
      ts_builtin_sym_end,
    ACTIONS(584), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 1,
      ts_builtin_sym_end,
    ACTIONS(528), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      ts_builtin_sym_end,
    ACTIONS(498), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6378] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(590), 1,
      aux_sym_type_definition_token1,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 1,
      ts_builtin_sym_end,
    ACTIONS(494), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(594), 1,
      anon_sym_RPAREN,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      ts_builtin_sym_end,
    ACTIONS(496), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(598), 1,
      ts_builtin_sym_end,
    ACTIONS(504), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 1,
      ts_builtin_sym_end,
    ACTIONS(506), 8,
      anon_sym_config,
      anon_sym_menuconfig,
      anon_sym_choice,
      anon_sym_comment,
      anon_sym_menu,
      anon_sym_if,
      anon_sym_source,
      sym_symbol,
  [6494] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_EQ,
    ACTIONS(514), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(602), 1,
      aux_sym_type_definition_token1,
    ACTIONS(518), 5,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(604), 1,
      anon_sym_RPAREN,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6542] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(606), 1,
      anon_sym_RPAREN,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(608), 1,
      anon_sym_RPAREN,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_EQ,
    ACTIONS(359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(610), 1,
      anon_sym_RPAREN,
    ACTIONS(365), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(363), 3,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6617] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_RPAREN,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(616), 1,
      sym_macro_content,
    ACTIONS(618), 1,
      sym_prompt,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6637] = 7,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(620), 1,
      aux_sym_type_definition_token1,
    ACTIONS(622), 1,
      anon_sym_prompt,
    ACTIONS(624), 1,
      sym_prompt,
    STATE(227), 1,
      sym_input_prompt,
    STATE(248), 1,
      sym_conditional_clause,
  [6659] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(616), 1,
      sym_macro_content,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(626), 1,
      anon_sym_RPAREN,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6679] = 7,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(622), 1,
      anon_sym_prompt,
    ACTIONS(628), 1,
      aux_sym_type_definition_token1,
    ACTIONS(630), 1,
      sym_prompt,
    STATE(239), 1,
      sym_input_prompt,
    STATE(272), 1,
      sym_conditional_clause,
  [6701] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(616), 1,
      sym_macro_content,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(632), 1,
      anon_sym_RPAREN,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6721] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(634), 1,
      anon_sym_RPAREN,
    ACTIONS(636), 1,
      sym_macro_content,
    STATE(206), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6741] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(638), 1,
      anon_sym_RPAREN,
    ACTIONS(640), 1,
      sym_macro_content,
    STATE(208), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6761] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(642), 1,
      anon_sym_RPAREN,
    ACTIONS(644), 1,
      sym_macro_content,
    STATE(210), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6781] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(646), 1,
      anon_sym_RPAREN,
    ACTIONS(648), 1,
      sym_macro_content,
    STATE(215), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6801] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(616), 1,
      sym_macro_content,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(650), 1,
      anon_sym_RPAREN,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6821] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(652), 1,
      anon_sym_RPAREN,
    ACTIONS(654), 1,
      sym_macro_content,
    STATE(217), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6841] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(616), 1,
      sym_macro_content,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(656), 1,
      anon_sym_RPAREN,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6861] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(658), 1,
      anon_sym_RPAREN,
    ACTIONS(660), 1,
      sym_macro_content,
    STATE(219), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6881] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(616), 1,
      sym_macro_content,
    ACTIONS(618), 1,
      sym_prompt,
    ACTIONS(662), 1,
      anon_sym_RPAREN,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6901] = 6,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_RPAREN,
    ACTIONS(666), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(669), 1,
      sym_macro_content,
    ACTIONS(672), 1,
      sym_prompt,
    STATE(220), 2,
      sym_macro_variable,
      aux_sym_macro_variable_repeat1,
  [6921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 4,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_QMARK_EQ,
  [6931] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(209), 4,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_macro_content,
      sym_prompt,
  [6941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_QMARK_EQ,
  [6951] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(679), 4,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_macro_content,
      sym_prompt,
  [6961] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(217), 4,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN,
      sym_macro_content,
      sym_prompt,
  [6971] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(681), 1,
      aux_sym_type_definition_token1,
    STATE(247), 1,
      sym_conditional_clause,
  [6984] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(683), 1,
      aux_sym_type_definition_token1,
    STATE(266), 1,
      sym_conditional_clause,
  [6997] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(685), 1,
      aux_sym_type_definition_token1,
    STATE(277), 1,
      sym_conditional_clause,
  [7010] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(687), 1,
      aux_sym_type_definition_token1,
    STATE(270), 1,
      sym_conditional_clause,
  [7023] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(689), 1,
      aux_sym_type_definition_token1,
    STATE(257), 1,
      sym_conditional_clause,
  [7036] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(691), 1,
      aux_sym_type_definition_token1,
    STATE(253), 1,
      sym_conditional_clause,
  [7049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      sym_symbol,
    STATE(236), 1,
      sym_macro_variable,
  [7062] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(695), 1,
      aux_sym_type_definition_token1,
    STATE(267), 1,
      sym_conditional_clause,
  [7075] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(697), 1,
      aux_sym_type_definition_token1,
    STATE(271), 1,
      sym_conditional_clause,
  [7088] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(699), 1,
      aux_sym_type_definition_token1,
    STATE(244), 1,
      sym_conditional_clause,
  [7101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(701), 1,
      sym_symbol,
    STATE(235), 1,
      sym_macro_variable,
  [7114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(703), 1,
      sym_symbol,
    STATE(228), 1,
      sym_macro_variable,
  [7127] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(705), 1,
      aux_sym_type_definition_token1,
    STATE(269), 1,
      sym_conditional_clause,
  [7140] = 4,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_if,
    ACTIONS(707), 1,
      aux_sym_type_definition_token1,
    STATE(256), 1,
      sym_conditional_clause,
  [7153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(709), 1,
      sym_symbol,
    STATE(237), 1,
      sym_macro_variable,
  [7166] = 3,
    ACTIONS(299), 1,
      anon_sym_if,
    ACTIONS(301), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
  [7176] = 3,
    ACTIONS(331), 1,
      anon_sym_if,
    ACTIONS(333), 1,
      aux_sym_type_definition_token1,
    ACTIONS(453), 1,
      sym_comment,
  [7186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_symbol,
  [7193] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(713), 1,
      aux_sym_type_definition_token1,
  [7200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      ts_builtin_sym_end,
  [7207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      sym_symbol,
  [7214] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(719), 1,
      aux_sym_type_definition_token1,
  [7221] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(683), 1,
      aux_sym_type_definition_token1,
  [7228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 1,
      sym__help_text,
  [7235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      sym_prompt,
  [7242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym__help_text,
  [7249] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(727), 1,
      aux_sym_type_definition_token1,
  [7256] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(729), 1,
      aux_sym_type_definition_token1,
  [7263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      sym_prompt,
  [7270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      sym_symbol,
  [7277] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(735), 1,
      aux_sym_type_definition_token1,
  [7284] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(737), 1,
      aux_sym_type_definition_token1,
  [7291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      sym_symbol,
  [7298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      sym_prompt,
  [7305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      sym_prompt,
  [7312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym_prompt,
  [7319] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(747), 1,
      aux_sym_type_definition_token1,
  [7326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      sym_prompt,
  [7333] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(751), 1,
      aux_sym_type_definition_token1,
  [7340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      sym_prompt,
  [7347] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(755), 1,
      aux_sym_type_definition_token1,
  [7354] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(757), 1,
      aux_sym_type_definition_token1,
  [7361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 1,
      sym_symbol,
  [7368] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(761), 1,
      aux_sym_type_definition_token1,
  [7375] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(763), 1,
      aux_sym_type_definition_token1,
  [7382] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(765), 1,
      aux_sym_type_definition_token1,
  [7389] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(707), 1,
      aux_sym_type_definition_token1,
  [7396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      sym_prompt,
  [7403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      sym_symbol,
  [7410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      sym_prompt,
  [7417] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(773), 1,
      aux_sym_type_definition_token1,
  [7424] = 2,
    ACTIONS(453), 1,
      sym_comment,
    ACTIONS(775), 1,
      aux_sym_type_definition_token1,
  [7431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      sym_prompt,
  [7438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      sym_symbol,
  [7445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      sym_symbol,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(10)] = 0,
  [SMALL_STATE(11)] = 70,
  [SMALL_STATE(12)] = 140,
  [SMALL_STATE(13)] = 210,
  [SMALL_STATE(14)] = 280,
  [SMALL_STATE(15)] = 350,
  [SMALL_STATE(16)] = 420,
  [SMALL_STATE(17)] = 490,
  [SMALL_STATE(18)] = 560,
  [SMALL_STATE(19)] = 630,
  [SMALL_STATE(20)] = 700,
  [SMALL_STATE(21)] = 754,
  [SMALL_STATE(22)] = 798,
  [SMALL_STATE(23)] = 842,
  [SMALL_STATE(24)] = 886,
  [SMALL_STATE(25)] = 930,
  [SMALL_STATE(26)] = 974,
  [SMALL_STATE(27)] = 1018,
  [SMALL_STATE(28)] = 1070,
  [SMALL_STATE(29)] = 1120,
  [SMALL_STATE(30)] = 1166,
  [SMALL_STATE(31)] = 1208,
  [SMALL_STATE(32)] = 1250,
  [SMALL_STATE(33)] = 1294,
  [SMALL_STATE(34)] = 1346,
  [SMALL_STATE(35)] = 1388,
  [SMALL_STATE(36)] = 1430,
  [SMALL_STATE(37)] = 1472,
  [SMALL_STATE(38)] = 1514,
  [SMALL_STATE(39)] = 1562,
  [SMALL_STATE(40)] = 1612,
  [SMALL_STATE(41)] = 1672,
  [SMALL_STATE(42)] = 1732,
  [SMALL_STATE(43)] = 1789,
  [SMALL_STATE(44)] = 1846,
  [SMALL_STATE(45)] = 1903,
  [SMALL_STATE(46)] = 1960,
  [SMALL_STATE(47)] = 2017,
  [SMALL_STATE(48)] = 2074,
  [SMALL_STATE(49)] = 2110,
  [SMALL_STATE(50)] = 2146,
  [SMALL_STATE(51)] = 2182,
  [SMALL_STATE(52)] = 2218,
  [SMALL_STATE(53)] = 2254,
  [SMALL_STATE(54)] = 2290,
  [SMALL_STATE(55)] = 2326,
  [SMALL_STATE(56)] = 2362,
  [SMALL_STATE(57)] = 2398,
  [SMALL_STATE(58)] = 2434,
  [SMALL_STATE(59)] = 2470,
  [SMALL_STATE(60)] = 2506,
  [SMALL_STATE(61)] = 2542,
  [SMALL_STATE(62)] = 2578,
  [SMALL_STATE(63)] = 2614,
  [SMALL_STATE(64)] = 2650,
  [SMALL_STATE(65)] = 2686,
  [SMALL_STATE(66)] = 2747,
  [SMALL_STATE(67)] = 2808,
  [SMALL_STATE(68)] = 2842,
  [SMALL_STATE(69)] = 2876,
  [SMALL_STATE(70)] = 2910,
  [SMALL_STATE(71)] = 2944,
  [SMALL_STATE(72)] = 2978,
  [SMALL_STATE(73)] = 3012,
  [SMALL_STATE(74)] = 3046,
  [SMALL_STATE(75)] = 3080,
  [SMALL_STATE(76)] = 3114,
  [SMALL_STATE(77)] = 3148,
  [SMALL_STATE(78)] = 3182,
  [SMALL_STATE(79)] = 3216,
  [SMALL_STATE(80)] = 3250,
  [SMALL_STATE(81)] = 3284,
  [SMALL_STATE(82)] = 3318,
  [SMALL_STATE(83)] = 3352,
  [SMALL_STATE(84)] = 3386,
  [SMALL_STATE(85)] = 3431,
  [SMALL_STATE(86)] = 3474,
  [SMALL_STATE(87)] = 3517,
  [SMALL_STATE(88)] = 3560,
  [SMALL_STATE(89)] = 3603,
  [SMALL_STATE(90)] = 3646,
  [SMALL_STATE(91)] = 3673,
  [SMALL_STATE(92)] = 3700,
  [SMALL_STATE(93)] = 3743,
  [SMALL_STATE(94)] = 3786,
  [SMALL_STATE(95)] = 3829,
  [SMALL_STATE(96)] = 3872,
  [SMALL_STATE(97)] = 3915,
  [SMALL_STATE(98)] = 3958,
  [SMALL_STATE(99)] = 4001,
  [SMALL_STATE(100)] = 4044,
  [SMALL_STATE(101)] = 4087,
  [SMALL_STATE(102)] = 4121,
  [SMALL_STATE(103)] = 4153,
  [SMALL_STATE(104)] = 4179,
  [SMALL_STATE(105)] = 4205,
  [SMALL_STATE(106)] = 4231,
  [SMALL_STATE(107)] = 4259,
  [SMALL_STATE(108)] = 4285,
  [SMALL_STATE(109)] = 4316,
  [SMALL_STATE(110)] = 4339,
  [SMALL_STATE(111)] = 4362,
  [SMALL_STATE(112)] = 4385,
  [SMALL_STATE(113)] = 4410,
  [SMALL_STATE(114)] = 4433,
  [SMALL_STATE(115)] = 4460,
  [SMALL_STATE(116)] = 4489,
  [SMALL_STATE(117)] = 4512,
  [SMALL_STATE(118)] = 4535,
  [SMALL_STATE(119)] = 4570,
  [SMALL_STATE(120)] = 4605,
  [SMALL_STATE(121)] = 4640,
  [SMALL_STATE(122)] = 4675,
  [SMALL_STATE(123)] = 4710,
  [SMALL_STATE(124)] = 4727,
  [SMALL_STATE(125)] = 4744,
  [SMALL_STATE(126)] = 4761,
  [SMALL_STATE(127)] = 4778,
  [SMALL_STATE(128)] = 4795,
  [SMALL_STATE(129)] = 4812,
  [SMALL_STATE(130)] = 4829,
  [SMALL_STATE(131)] = 4858,
  [SMALL_STATE(132)] = 4887,
  [SMALL_STATE(133)] = 4916,
  [SMALL_STATE(134)] = 4945,
  [SMALL_STATE(135)] = 4962,
  [SMALL_STATE(136)] = 4979,
  [SMALL_STATE(137)] = 4996,
  [SMALL_STATE(138)] = 5022,
  [SMALL_STATE(139)] = 5048,
  [SMALL_STATE(140)] = 5074,
  [SMALL_STATE(141)] = 5100,
  [SMALL_STATE(142)] = 5118,
  [SMALL_STATE(143)] = 5136,
  [SMALL_STATE(144)] = 5154,
  [SMALL_STATE(145)] = 5178,
  [SMALL_STATE(146)] = 5200,
  [SMALL_STATE(147)] = 5220,
  [SMALL_STATE(148)] = 5246,
  [SMALL_STATE(149)] = 5272,
  [SMALL_STATE(150)] = 5298,
  [SMALL_STATE(151)] = 5324,
  [SMALL_STATE(152)] = 5350,
  [SMALL_STATE(153)] = 5376,
  [SMALL_STATE(154)] = 5402,
  [SMALL_STATE(155)] = 5428,
  [SMALL_STATE(156)] = 5454,
  [SMALL_STATE(157)] = 5472,
  [SMALL_STATE(158)] = 5498,
  [SMALL_STATE(159)] = 5524,
  [SMALL_STATE(160)] = 5550,
  [SMALL_STATE(161)] = 5576,
  [SMALL_STATE(162)] = 5602,
  [SMALL_STATE(163)] = 5628,
  [SMALL_STATE(164)] = 5654,
  [SMALL_STATE(165)] = 5680,
  [SMALL_STATE(166)] = 5706,
  [SMALL_STATE(167)] = 5732,
  [SMALL_STATE(168)] = 5758,
  [SMALL_STATE(169)] = 5776,
  [SMALL_STATE(170)] = 5794,
  [SMALL_STATE(171)] = 5820,
  [SMALL_STATE(172)] = 5846,
  [SMALL_STATE(173)] = 5872,
  [SMALL_STATE(174)] = 5898,
  [SMALL_STATE(175)] = 5924,
  [SMALL_STATE(176)] = 5950,
  [SMALL_STATE(177)] = 5976,
  [SMALL_STATE(178)] = 6002,
  [SMALL_STATE(179)] = 6028,
  [SMALL_STATE(180)] = 6054,
  [SMALL_STATE(181)] = 6080,
  [SMALL_STATE(182)] = 6106,
  [SMALL_STATE(183)] = 6132,
  [SMALL_STATE(184)] = 6158,
  [SMALL_STATE(185)] = 6184,
  [SMALL_STATE(186)] = 6210,
  [SMALL_STATE(187)] = 6236,
  [SMALL_STATE(188)] = 6253,
  [SMALL_STATE(189)] = 6276,
  [SMALL_STATE(190)] = 6293,
  [SMALL_STATE(191)] = 6310,
  [SMALL_STATE(192)] = 6327,
  [SMALL_STATE(193)] = 6344,
  [SMALL_STATE(194)] = 6361,
  [SMALL_STATE(195)] = 6378,
  [SMALL_STATE(196)] = 6401,
  [SMALL_STATE(197)] = 6418,
  [SMALL_STATE(198)] = 6443,
  [SMALL_STATE(199)] = 6460,
  [SMALL_STATE(200)] = 6477,
  [SMALL_STATE(201)] = 6494,
  [SMALL_STATE(202)] = 6517,
  [SMALL_STATE(203)] = 6542,
  [SMALL_STATE(204)] = 6567,
  [SMALL_STATE(205)] = 6592,
  [SMALL_STATE(206)] = 6617,
  [SMALL_STATE(207)] = 6637,
  [SMALL_STATE(208)] = 6659,
  [SMALL_STATE(209)] = 6679,
  [SMALL_STATE(210)] = 6701,
  [SMALL_STATE(211)] = 6721,
  [SMALL_STATE(212)] = 6741,
  [SMALL_STATE(213)] = 6761,
  [SMALL_STATE(214)] = 6781,
  [SMALL_STATE(215)] = 6801,
  [SMALL_STATE(216)] = 6821,
  [SMALL_STATE(217)] = 6841,
  [SMALL_STATE(218)] = 6861,
  [SMALL_STATE(219)] = 6881,
  [SMALL_STATE(220)] = 6901,
  [SMALL_STATE(221)] = 6921,
  [SMALL_STATE(222)] = 6931,
  [SMALL_STATE(223)] = 6941,
  [SMALL_STATE(224)] = 6951,
  [SMALL_STATE(225)] = 6961,
  [SMALL_STATE(226)] = 6971,
  [SMALL_STATE(227)] = 6984,
  [SMALL_STATE(228)] = 6997,
  [SMALL_STATE(229)] = 7010,
  [SMALL_STATE(230)] = 7023,
  [SMALL_STATE(231)] = 7036,
  [SMALL_STATE(232)] = 7049,
  [SMALL_STATE(233)] = 7062,
  [SMALL_STATE(234)] = 7075,
  [SMALL_STATE(235)] = 7088,
  [SMALL_STATE(236)] = 7101,
  [SMALL_STATE(237)] = 7114,
  [SMALL_STATE(238)] = 7127,
  [SMALL_STATE(239)] = 7140,
  [SMALL_STATE(240)] = 7153,
  [SMALL_STATE(241)] = 7166,
  [SMALL_STATE(242)] = 7176,
  [SMALL_STATE(243)] = 7186,
  [SMALL_STATE(244)] = 7193,
  [SMALL_STATE(245)] = 7200,
  [SMALL_STATE(246)] = 7207,
  [SMALL_STATE(247)] = 7214,
  [SMALL_STATE(248)] = 7221,
  [SMALL_STATE(249)] = 7228,
  [SMALL_STATE(250)] = 7235,
  [SMALL_STATE(251)] = 7242,
  [SMALL_STATE(252)] = 7249,
  [SMALL_STATE(253)] = 7256,
  [SMALL_STATE(254)] = 7263,
  [SMALL_STATE(255)] = 7270,
  [SMALL_STATE(256)] = 7277,
  [SMALL_STATE(257)] = 7284,
  [SMALL_STATE(258)] = 7291,
  [SMALL_STATE(259)] = 7298,
  [SMALL_STATE(260)] = 7305,
  [SMALL_STATE(261)] = 7312,
  [SMALL_STATE(262)] = 7319,
  [SMALL_STATE(263)] = 7326,
  [SMALL_STATE(264)] = 7333,
  [SMALL_STATE(265)] = 7340,
  [SMALL_STATE(266)] = 7347,
  [SMALL_STATE(267)] = 7354,
  [SMALL_STATE(268)] = 7361,
  [SMALL_STATE(269)] = 7368,
  [SMALL_STATE(270)] = 7375,
  [SMALL_STATE(271)] = 7382,
  [SMALL_STATE(272)] = 7389,
  [SMALL_STATE(273)] = 7396,
  [SMALL_STATE(274)] = 7403,
  [SMALL_STATE(275)] = 7410,
  [SMALL_STATE(276)] = 7417,
  [SMALL_STATE(277)] = 7424,
  [SMALL_STATE(278)] = 7431,
  [SMALL_STATE(279)] = 7438,
  [SMALL_STATE(280)] = 7445,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comment_entry, 2, 0, 1),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [79] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_config, 3, 0, 1),
  [81] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0),
  [83] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [86] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [89] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(139),
  [92] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [95] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [98] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(274),
  [101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(12),
  [116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_menuconfig, 3, 0, 1),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comment_entry, 3, 0, 1),
  [120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_menuconfig, 3, 0, 1),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_entry, 3, 0, 1),
  [146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_config, 3, 0, 1),
  [148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(243),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(249),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_config_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_entry, 2, 0, 1),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limiting_menu_display, 2, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limiting_menu_display, 2, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_variable, 2, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_variable, 2, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_variable, 3, 0, 0),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_variable, 3, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 6),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 6),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_value, 4, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_value, 4, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numerical_ranges, 5, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numerical_ranges, 5, 0, 0),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input_prompt, 3, 0, 0),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_prompt, 3, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_help_text, 2, 0, 0),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_help_text, 2, 0, 0),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_value, 3, 0, 0),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_value, 3, 0, 0),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition_default, 3, 0, 0),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition_default, 3, 0, 0),
  [315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependencies, 3, 0, 0),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependencies, 3, 0, 0),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reverse_dependencies, 3, 0, 0),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reverse_dependencies, 3, 0, 0),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_weak_reverse_dependencies, 3, 0, 0),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_weak_reverse_dependencies, 3, 0, 0),
  [327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input_prompt, 4, 0, 0),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_prompt, 4, 0, 0),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reverse_dependencies, 4, 0, 0),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reverse_dependencies, 4, 0, 0),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_weak_reverse_dependencies, 4, 0, 0),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_weak_reverse_dependencies, 4, 0, 0),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numerical_ranges, 4, 0, 0),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numerical_ranges, 4, 0, 0),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition_default, 4, 0, 0),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition_default, 4, 0, 0),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(278),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration, 2, 0, 0),
  [399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(246),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(261),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(265),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(148),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_configuration_repeat1, 2, 0, 0), SHIFT_REPEAT(259),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration, 1, 0, 0),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 1, 0, 5),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 1, 0, 5),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 8), SHIFT_REPEAT(109),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 8), SHIFT_REPEAT(121),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 8),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 8), SHIFT_REPEAT(176),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 8), SHIFT_REPEAT(185),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 8), SHIFT_REPEAT(216),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_source, 2, 0, 0),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 3, 0, 3),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 3, 0, 4),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_choice, 5, 0, 1),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_menu, 5, 0, 1),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_choice, 4, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_menu, 4, 0, 1),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 4, 0, 7),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_menu, 3, 0, 1),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 4, 0, 3),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_menu, 5, 0, 1),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_clause, 2, 0, 0),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 4, 0, 3),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_choice, 5, 0, 1),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 4, 0, 7),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mainmenu, 2, 0, 1),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mainmenu, 2, 0, 1),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_menu, 3, 0, 1),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 3, 0, 4),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 2, 0, 0),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 3, 0, 3),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_choice, 4, 0, 0),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_menu, 4, 0, 1),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macro_variable_repeat1, 2, 0, 0),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macro_variable_repeat1, 1, 0, 2),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [715] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__help_text = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__help_text] = sym__help_text,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__help_text] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_kconfig_external_scanner_create(void);
void tree_sitter_kconfig_external_scanner_destroy(void *);
bool tree_sitter_kconfig_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_kconfig_external_scanner_serialize(void *, char *);
void tree_sitter_kconfig_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_kconfig(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_symbol,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_kconfig_external_scanner_create,
      tree_sitter_kconfig_external_scanner_destroy,
      tree_sitter_kconfig_external_scanner_scan,
      tree_sitter_kconfig_external_scanner_serialize,
      tree_sitter_kconfig_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
